Page MenuHomePhabricator

[MLIR][Linalg] Retire C++ DotOp in favor of a linalg-ods-gen'd op
ClosedPublic

Authored by chelini on Jul 1 2020, 5:07 AM.

Details

Summary
  • replace DotOp, now that DRR rules have been dropped.
  • Capture arguments mismatch in the parser. The number of parsed arguments must equal the number of expected arguments.

Diff Detail

Event Timeline

chelini created this revision.Jul 1 2020, 5:07 AM
Herald added a project: Restricted Project. · View Herald Transcript
aartbik added inline comments.Jul 1 2020, 6:11 PM
mlir/test/mlir-cpu-runner/linalg_integration_test.mlir
2

note that we now have the llvm/llvm-project/mlir/integration_test directory for integration tests that actually run generated code through the cpu runner; please consider moving it there at some point

ftynse accepted this revision.Jul 2 2020, 12:53 AM
ftynse added inline comments.
mlir/test/Dialect/Linalg/invalid.mlir
425–426

Please drop the check for the words 'custom op', they are emitted by the generic infra that is tested elsewhere. IMO, checking for "expects 3 operands, but found 2" is sufficient here.

This revision is now accepted and ready to land.Jul 2 2020, 12:53 AM
chelini updated this revision to Diff 275030.Jul 2 2020, 2:52 AM

Drop check for custom op

chelini marked 2 inline comments as done.Jul 2 2020, 2:54 AM
chelini added inline comments.
mlir/test/mlir-cpu-runner/linalg_integration_test.mlir
2

Thanks. I may follow-up with a new revision for that.

nicolasvasilache accepted this revision.Jul 27 2020, 3:41 AM

@chelini thanks for your contribution!
Can we please land this?

This revision was automatically updated to reflect the committed changes.